Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
REGION_OCC Class Reference

`#include <blkocc.h>`

Inheritance diagram for REGION_OCC:

List of all members.

## Public Member Functions

| REGION_OCC ()
| REGION_OCC (float min, float max, inT16 region)
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

float | min_x
float | max_x
inT16 | region_type

## Detailed Description

Definition at line 50 of file blkocc.h.

## Constructor & Destructor Documentation

REGION_OCC::REGION_OCC | ( |  | ) |

inline

Definition at line 57 of file blkocc.h.

{
}; //constructor used

REGION_OCC::REGION_OCC | ( | float | min,
|  | float | max,
|  | inT16 | region
| ) |  |

inline

Definition at line 60 of file blkocc.h.

{
min_x = min;
max_x = max;
region_type = region;
}

## Member Data Documentation

float REGION_OCC::max_x

Definition at line 54 of file blkocc.h.

float REGION_OCC::min_x

Definition at line 53 of file blkocc.h.

inT16 REGION_OCC::region_type

Definition at line 55 of file blkocc.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/textord/blkocc.h